Release a hold
Ends it, and puts back the status the animal had while it is still Adoption Pending. Its fee stays outstanding. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
holds
/
{id}
/
release
Release a hold
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/holds/{id}/release \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/holds/{id}/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/holds/{id}/release"
payload = { "note": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"hold": {
"id": "<string>",
"animal_id": "<string>",
"person_id": "<string>",
"placed_at": "2023-11-07T05:31:56Z",
"status": "active",
"previous_status": "<string>",
"animal_name": "<string>",
"person_name": "<string>",
"application_id": "<string>",
"placed_by_person_id": "<string>",
"placed_by_name": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"deposit_id": "<string>",
"deposit_cents": 123,
"deposit_state": "waiting",
"ended_at": "2023-11-07T05:31:56Z",
"end_note": "<string>",
"told_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Release a hold
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/holds/{id}/release \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/holds/{id}/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/holds/{id}/release"
payload = { "note": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"hold": {
"id": "<string>",
"animal_id": "<string>",
"person_id": "<string>",
"placed_at": "2023-11-07T05:31:56Z",
"status": "active",
"previous_status": "<string>",
"animal_name": "<string>",
"person_name": "<string>",
"application_id": "<string>",
"placed_by_person_id": "<string>",
"placed_by_name": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"deposit_id": "<string>",
"deposit_cents": 123,
"deposit_state": "waiting",
"ended_at": "2023-11-07T05:31:56Z",
"end_note": "<string>",
"told_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
